<?php
$widget['content'] = '
 <center>
 <canvas id="myCanvas" width="180" height="180">
 
 <p id="time-display">
 <input type="text" id="clock" readonly="readonly" disabled="disabled" />

 <script language=javascript>
 var int=self.setInterval("clock()",1000);
 function clock()
  {
  var d=new Date();
  var t=d.toLocaleTimeString();
  document.getElementById("clock").value=t;
  }
 </script>
 </p> 
 <p id="browser-choice">
 <a href="http://www.browserchoice.eu" target="_blank" title="This element uses the HTML5 &lt;canvas&gt; tag to display a spiffy analogue clock in most web browsers. Unfortunately your browser isn\'t one of them :( Click here to ugrade to an up-to-date browser of your own choice and mosey on back to see what you\'re missing!">Looks like it\'s time you upgraded your browser</a></p>
 
 </canvas>
 <script>
 var canvas = document.getElementById(\'myCanvas\');
 var context = canvas.getContext(\'2d\');

 var clockImage = new Image();
 var clockImageLoaded = false;
 clockImage.onload = function(){
   clockImageLoaded = true;
 }
 clockImage.src = \''.plugin_geturl('canvasclock').'/res/img/clock-face.png\';

 function addBackgroundImage(){
   context.drawImage(clockImage, canvas.width/2 * -1 ,canvas.height/2 * -1,canvas.width, canvas.height);
 }

 function degreesToRadians(degrees) {
   return (Math.PI / 180) * degrees
 }

 function drawHourHand(theDate){
   var hours = theDate.getHours() + theDate.getMinutes() / 60;

   var degrees = (hours * 360 / 12) % 360;

   context.save();
   context.fillStyle = \'black\';
   context.strokeStyle = \'#555\';
   
   context.rotate( degreesToRadians(degrees));

   drawHand(55, 4, 2);

   context.restore();

 }

 function drawMinuteHand(theDate){
   var minutes = theDate.getMinutes() + theDate.getSeconds() / 60;

   context.save();
   context.fillStyle = \'black\';
   context.strokeStyle = \'#555\';
   context.rotate( degreesToRadians(minutes * 6));

   drawHand(75, 3, 3);

   context.restore();
 }

 function drawHand(size, thickness, shadowOffset){
   thickness = thickness || 4;

   context.shadowColor = \'#555\';
   context.shadowBlur = 5;
   context.shadowOffsetX = shadowOffset;
   context.shadowOffsetY = shadowOffset;
   
   context.beginPath();
   context.moveTo(0,0); // center
   context.lineTo(thickness *-1, -10);
   context.lineTo(0, size * -1);
   context.lineTo(thickness,-10);
   context.lineTo(0,0);
   context.fill();
   context.stroke();
 }

 function drawSecondHand(theDate){
   var seconds = theDate.getSeconds();

   context.save();
   context.fillStyle = \'red\';
   context.globalAlpha = 0.8;
   context.rotate( degreesToRadians(seconds * 6));

   drawHand(75, 2, 5);

   context.restore();
 }

 function writeBrandName(){
    context.font = "18pt Helvetica";
    var brandName = \'Flatpress\';
    var brandNameSize = context.measureText(brandName);
    context.strokeText("Flatpress", 0 - brandNameSize.width / 2,-15);
 }

 function createClock(){

   addBackgroundImage();
   writeBrandName();

   var theDate = new Date();
   drawHourHand(theDate);
   drawMinuteHand(theDate);
   drawSecondHand(theDate);
 }

 function clockApp(){
   if(!clockImageLoaded){
     setTimeout(\'clockApp()\', 100);
     return;
   }
   context.translate(canvas.width/2, canvas.height/2);
   createClock();
   setInterval(\'createClock()\', 1000)
 }

 clockApp();
   
 </script>
 <br>'.Date("d M Y").' - Week '.Date("W").'</center>'
;

